<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Mail;

class AdvisorRegistrationCode extends Model
{
    protected $table = 'advisor_regcodes';

    protected $fillable = array('email','code','phone','approved');

    public $timestamps = true;

    public static function generate($email,$phone=''){
        if(AdvisorRegistrationCode::where('email',$email)->get()->isEmpty()) {
            return AdvisorRegistrationCode::create(['email' => $email, 'code' => strtoupper(str_random(6)), 'phone' => $phone]);
        } //else return AdvisorRegistrationCode::where('email',$email)->first();
        else return false;
    }

    public static function check($email,$code){

        return false;
    }

    public function send(){
        Mail::send('email.advisor_code', array('password' => $this->code, 'email'=> $this->email, 'phone'=>$this->phone), function ($m) {
            $m->from('test@phd.zlatarov.net', 'PHD System');
            $m->to($this->email)->subject('Registration code');
        });
    }
}
