<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class FileRegistry extends Model
{
    protected $table = 'file_registry';

    protected $fillable = array(
        'filename',
        'original_filename',
        'type',
        'document_type',
        'size',
        'competition_id',
        'applicationform_id',
        'file_description',
        'phdstudent_id',
        'uploader_id',
        'uploader_type',
    );

    public $timestamps = true;

    public function competition(){
        return $this->belongsTo('App\AdmissionCompetition','competition_id','id');
    }

    public function applicationForm(){
        return $this->belongsTo('App\ApplicationForm','applicationform_id','id');
    }
}
