<?php

namespace App\Http\Controllers\Admin;

use App\Admission;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class AdmissionController extends Controller
{
    public function getIndex()
    {
        return view('admin.admissions')->with(array('user'=>Auth::user(),'admissions'=>Admission::orderBy('id','desc')->get()));
    }

    public function createForm(){
        return view('admin.forms.admission')->with(array('user'=>Auth::user()));
    }

    public function create(Request $request){
        $this->validate($request,array(
            'admissionName' => 'required',
            'admissionYear' => 'required',
            'admissionMessage' => 'required',
            'admissionDvIssue' => 'required_with:admissionDvDate,admissionEndDate',
            'admissionDvDate' => 'required_with:admissionDvIssue,admissionEndDate',
            'admissionEndDate' => 'required_with:admissionDvIssue,admissionDvDate',
        ));

        Admission::create(array(
            'name' => Input::get('admissionName'),
            'name_en' => Input::get('admissionNameEn'),
            'year' => Input::get('admissionYear'),
            'dv_issue' => Input::get('admissionDvIssue'),
            'dv_date' => Input::get('admissionDvDate'),
            'end_date' => Input::get('admissionEndDate'),
            'message' => Input::get('admissionMessage'),
            'message_en' => Input::get('admissionMessageEn')
        ));

        return redirect('admin/admissions');
    }
}
