<?php

namespace App\Http\Controllers\Admin;

use App\Admission;
use App\AdmissionCompetition;
use App\Helpers;
use Carbon\Carbon;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class CompetitionController extends Controller
{
    public function getIndex(){
        return view('admin.competitions')->with(array(
            'user'=>Auth::user(),
            'competitions'=>AdmissionCompetition::orderBy('id','DESC')->get(),
            'admissions'=>Admission::where('dv_date', '<=', Carbon::now())
                ->where('end_date','>=',Carbon::now())
                //->whereNotNull('dv_issue')
                //->where('dv_issue','<>','')
                ->get()));
    }

    public function approve(){
        foreach(Input::get('cbcomp') as $id){
            $comp = AdmissionCompetition::where('id',$id)->first();
            if($comp != null){
                $comp->status = AdmissionCompetition::STATUS_APPROVED;
                $comp->save();
            }
        }
        return back();
    }

    public function reject(){
        foreach(Input::get('cbcomp') as $id){
            $comp = AdmissionCompetition::where('id',$id)->first();
            if($comp != null){
                $comp->status = AdmissionCompetition::STATUS_REJECTED;
                $comp->save();
            }
        }
        return back();
    }

    public function setStatus($status){
        foreach(Input::get('cbcomp') as $id){
            $comp = AdmissionCompetition::where('id',$id)->first();
            if($comp != null && Helpers::isStatus($status)){
                $comp->status = $status;
                $comp->save();
            }
        }

        return back();
    }
    
    public function view($id){
        return view('admin.competition')->with(array('competition'=>AdmissionCompetition::where('id',$id)->first()));
    }

    public function attach(){
        $adm_id = Input::get('admissionID');
        $admission = Admission::where('id',$adm_id)->first();
        if(($admission != null || $adm_id == -1) && count(Input::get('cbcomp')) > 0){
            foreach(Input::get('cbcomp') as $id){
                $comp = AdmissionCompetition::where('id',$id)->first();
                if($adm_id == -1){
                    $comp->admission_id = 0;
                }
                else{
                    $comp->admission_id = $admission->id;
                }
                $comp->save();
            }
        }

        return back();
    }

    public function setFee(){
        $fee = floatval(Input::get('feeSize'));
        if(count(Input::get('cbcomp')) > 0){
            foreach(Input::get('cbcomp') as $id) {
                $comp = AdmissionCompetition::where('id', $id)->first();
                $comp->fee = $fee;
                $comp->save();
            }
        }
        return back();
    }
}
