<?php

namespace App\Http\Controllers\Admin;

use App\Department;
use App\Faculty;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class DepartmentController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth',['redirectTo' => 'admin', ]);
    }

    public function getIndex(){
        return view('admin.departments')->with(['user'=>Auth::user(),'departments'=>Department::all()]);
    }

    public function createForm(){
        return view('admin.forms.department')->with(['user'=>Auth::user(),'faculties'=>Faculty::all()]);
    }

    public function create(Request $request){
        $this->validate($request,[
            'departmentName' => 'required|max:255',
            'departmentFaculty' => 'required'
        ]);

        Department::create(['name'=>Input::get('departmentName'),'faculty_id'=>intval(Input::get('departmentFaculty'))]);

        return redirect('admin/departments');
    }
}
