<?php

namespace App\Http\Controllers\Admin;

use App\Faculty;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class FacultyController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth',['redirectTo' => 'admin', ]);
    }

    public function getIndex(){
        return view('admin/faculties')->with(['user'=>Auth::user(),'faculties'=>Faculty::all()]);
    }

    public function createForm(){
        return view('admin.forms.faculty')->with(['user'=>Auth::user()]);
    }

    public function create(Request $request){
        $this->validate($request,[
            'facultyId' => 'required|unique:faculties,id',
            'facultyName' => 'required|max:255'
        ]);

        Faculty::create(['id'=>Input::get('facultyId'), 'name'=>Input::get('facultyName')]);

        return redirect('admin/faculties');
    }
}
