<?php

namespace App\Http\Controllers\Admin;

use App\HigherEducationArea;
use App\ProfessionalArea;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class ProfessionalAreaController extends Controller
{
    public function getIndex(){
        return view('admin.professional_areas')->with(['user'=>Auth::user(),'pa'=>ProfessionalArea::all()]);
    }

    public function createForm(){
        return view('admin.forms.professional_area')->with(['user'=>Auth::user(),'areas'=>HigherEducationArea::all()]);
    }

    public function create(Request $request){
        $this->validate($request,[
            'paCode'=>'required|unique:professional_areas,code',
            'paName' => 'required|max:255',
            'paEduArea' => 'required'
        ]);

        ProfessionalArea::create(['code'=>Input::get('paCode'),'he_area_id'=>Input::get('paEduArea'),'name'=>Input::get('paName')]);

        return redirect('admin/professionalareas');
    }
}
