<?php

namespace App\Http\Controllers\Admin;

use App\Department;
use App\PhDStudent;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use PhpOffice\PhpWord\PhpWord;

class ReportController extends Controller
{
    public function getIndex(){

    }

    public function showFormByType($type){
        switch(strtolower($type)){
            default:
                return redirect('admin/reports');
            break;

            case 'faculty':
                return view('admin.forms.report.faculty')->with(['user'=>Auth::user()]);
                break;
        }
    }

    public function reportByFaculty($id,$download = false){
        $deps = array_column(Department::where('faculty_id',$id)->get()->toArray(),'id');
        $data = PhDStudent::whereIn('department_id',$deps)->get();
        if($download != 'download')
            return view('admin.reports.by_faculty')->with(['data'=>$data]);
        else return($this->prepareDownload(view('admin.reports.by_faculty')->with(['data'=>$data])->__toString()));
    }

    public function prepareDownload($html){
        header( 'Content-Type: application/msword' );
        header("Content-disposition: attachment; filename=report" .date("d-m-Y").".doc");
        /*
        header("Content-type: application/vnd.ms-word");
        header("Content-disposition: attachment; filename=" .date("Y-m-d").".rtf");
        */
        //$html = preg_replace('%/[^\\s]+\\.(jpg|jpeg|png|gif)%i', '\\0', $html);

        print "<html xmlns:v=\"urn:schemas-microsoft-com:vml\"";
        print "xmlns:o=\"urn:schemas-microsoft-com:office:office\"";
        print "xmlns:w=\"urn:schemas-microsoft-com:office:word\"";
        print "xmlns=\"http://www.w3.org/TR/REC-html40\">";
        print("<style>");
        print("@page Section1 {size:595.45pt 841.7pt; margin:0.5in 0.5in 0.5in 0.5in;mso-header-margin:.5in;mso-footer-margin:.5in;mso-paper-source:0;}");
        print("div.Section1 {page:Section1;}");
        print("@page Section2 {size: 29.7cm 21cm;;mso-page-orientation:landscape;margin: 1.5cm 1.5cm 1.5cm 1.5cm;mso-header-margin:.5in;mso-footer-margin:.5in;mso-paper-source:0;}");
        print("div.Section2 {page:Section2;}");
        print("</style>");
        print "<xml>
     <w:WordDocument>
      <w:View>Print</w:View>
      <w:DoNotHyphenateCaps/>
      <w:PunctuationKerning/>
      <w:DrawingGridHorizontalSpacing>9.35 pt</w:DrawingGridHorizontalSpacing>
      <w:DrawingGridVerticalSpacing>9.35 pt</w:DrawingGridVerticalSpacing>
      <w:body>
      <w:sectPr>
        <w:pgSz w:w=\"15840\" w:h=\"12240\" w:orient=\"landscape\"/>
      </w:sectPr>
      </w:body>
     </w:WordDocument>
    </xml>
    ";
        print('<div class="Section2">');
        echo($html);
        print("</div>");
        exit;
    }
}

if(!function_exists("array_column"))
{

    function array_column($array,$column_name)
    {

        return array_map(function($element) use($column_name){return $element[$column_name];}, $array);

    }

}
