<?php

namespace App\Http\Controllers\Admin;

use App\AdvisorRegistrationCode;
use App\ScientificAdvisor;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class ScientificAdvisorsController extends Controller
{
    public function getIndex()
    {
        return view('admin.scientific_advisors')->with(['user'=>Auth::user(),'advisors'=>ScientificAdvisor::all()]);
    }

    public function createForm(){
        return view('admin.forms.scientific_advisor')->with(['user'=>Auth::user()]);
    }

    public function create(Request $request){
        $this->validate($request,[
            'saName' => 'required',
            'saLastName' => 'required',
            'saPhone' => 'required_without:saEmail',
            'saEmail' => 'required_without:saPhone'
        ]);
        
        ScientificAdvisor::create([
            'title' =>Input::get('saTitle'),
            'name' => Input::get('saName'),
            'surname' => Input::get('saSurname'),
            'last_name' => Input::get('saLastName'),
            'workplace' => Input::get('saWorkplace'),
            'phone' => Input::get('saPhone'),
            'email' => Input::get('saEmail')
        ]);
        
        return redirect('admin/scientificadvisors');
    }

    public function jsonSearch($type,$value){
        var_dump($type);
        echo '<br/><br/>';
        var_dump($value);

        return '';
    }

    public function getIndexRegcodes(){
        return view('admin.regcodes')->with(array('user'=>Auth::user(),'codes'=>AdvisorRegistrationCode::where('approved',false)->get()));
    }

    public function regApproveAndSend($id){
        $code = AdvisorRegistrationCode::where('id',$id)->first();
        if(isset($code)){
            $code->approved = true;
            $code->send();
            $code->save();
        }
        return redirect('admin/scientificadvisors/registrations');
    }

    public function regApprove($id){
        $code = AdvisorRegistrationCode::where('id',$id)->first();
        if(isset($code)){
            $code->approved = true;
            $code->send();
            $code->save();
        }
        return redirect('admin/scientificadvisors/registrations');
    }

    public function setPassword($id,Request $request){
        $this->validate($request,array(
            'password' => 'required|min:6|max:50',
            'password2' => 'same:password'
        ));
        \App\Helpers::setPassword(\App\ScientificAdvisor::findOrFail($id),\Illuminate\Support\Facades\Input::get('password'));
        \Illuminate\Support\Facades\Session::flash('success','Паролата е сменена успешно');
        return redirect('admin/scientificadvisors');
    }

    public function view($id){
        return view('admin.scientific_advisor',with(array('advisor'=>ScientificAdvisor::findOrFail($id),'user'=>Auth::user())));
    }
}
