<?php

namespace App\Http\Controllers\Admin;

use App\ProfessionalArea;
use App\Specialty;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;

class SpecialtyController extends Controller
{
    public function getIndex()
    {
        return view('admin.specialties')->with(['user'=>Auth::user(),'specialties'=>Specialty::all()]);
    }

    public function createForm(){
        return view('admin.forms.specialty')->with(['user'=>Auth::user(),'areas'=>ProfessionalArea::all()]);
    }

    public function create(Request $request){
        $this->validate($request, [
            'specPA' => 'required|exists:professional_areas,code',
            'specCode' => 'max:255',
            'specName' => 'required|max:255',
            'specDate' => 'date'
        ]);

        Specialty::create(['code'=>Input::get('specCode'),'professional_area_id'=>Input::get('specPA'),'name'=>Input::get('specName'),'date_of_accreditation'=>Input::get('specDate')]);

        return redirect('admin/specialties');
    }

    public function getByPA($code){
        return response()->json(Specialty::where('professional_area_id',$code)->get()->toArray(),200,[],JSON_UNESCAPED_UNICODE);
    }
}
