<?php

namespace App\Http\Controllers;

use App\FileRegistry;
use App\Helpers;
use App\PhDStudent;
use Illuminate\Http\Request;

use App\Http\Requests;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Input;
use Symfony\Component\Console\Helper\Helper;

class FileController extends Controller
{

    public function downloadFile($id,$filename){
        $file = FileRegistry::where('id',$id)->where('original_filename',$filename)->first();
        if($file->competition != null)
            $dirpath = base_path().DIRECTORY_SEPARATOR.'storage'.DIRECTORY_SEPARATOR.'competitiondocs'.DIRECTORY_SEPARATOR.$file->competition->guid;
        else if($file->phdstudent_id != null)
            $dirpath = base_path().DIRECTORY_SEPARATOR.'storage'.DIRECTORY_SEPARATOR.'phddocs'.DIRECTORY_SEPARATOR.$file->phdstudent_id;
        else
            
            $dirpath = base_path().DIRECTORY_SEPARATOR.'storage'.DIRECTORY_SEPARATOR.'afdocs'.DIRECTORY_SEPARATOR.$file->applicationForm->guid;

        if(isset($file) && $file){
            return response()->download($dirpath.DIRECTORY_SEPARATOR.$file->filename,$file->original_filename);
        } else abort(404);
    }

    public function uploadPhdFile($id,$advid = 0,Request $request){
        $this->validate($request,array(
            'fDocument' => 'required|mimes:doc,docx,pdf,jpg',
            'docDescription' => 'required'
        ));

        $phd = PhDStudent::where('id',$id)->first();
        if(!$phd) return back();
        if($advid){
            if($advid != $phd->scientific_advisor && $advid != $phd->scientific_advisor_sec){
                return back();
            }
        }

        $dirpath = base_path().DIRECTORY_SEPARATOR.'storage'.DIRECTORY_SEPARATOR.'phddocs'.DIRECTORY_SEPARATOR.$phd->id;
        $dir = true;
        if(!File::exists($dirpath)){
            $dir = File::makeDirectory($dirpath, 0775, true);
        }
        if($dir) {
            $f = $phd->registerFile(
                Input::file('fDocument')->getClientOriginalName(),
                Input::file('fDocument')->getClientOriginalExtension(),
                Input::file('fDocument')->getSize(),
                Input::get('docDescription'),
                Helpers::getUser()->id,
                Helpers::getUserType());

            Input::file('fDocument')->move($dirpath, $f->filename);

        }
        return back();
    }
}
