<?php

namespace App\Http\Controllers;

use App\PhDStudent;
use Illuminate\Http\Request;

use App\Http\Requests;

class ReportController extends Controller
{
    public function getIndex()
    {
        return view('reports.index');
    }

    public function getReport($criteria, $id = 0){
        $data = null;
        switch ($criteria){
            default:
                return back();
            break;

            case 'all':
                $data = PhDStudent::orderBy('name','asc')->get();
                break;
            case 'faculty':
                $data = PhDStudent::whereHas('department',function($department) use($id){
                    $department->where('faculty_id',$id);
                })->orderBy('enrollment_date','desc')->get();
                break;
            case 'advisor':
                $data = PhDStudent::whereHas('scientificAdvisor',function($advisor) use($id){
                    $advisor->where('id',$id);
                })->orWhereHas('secondaryScientificAdvisor',function($advisor) use($id){
                    $advisor->where('id',$id);
                })->orderBy('enrollment_date','desc')->get();
                break;
            case 'specialty':
                $data = PhDStudent::whereHas('specialty',function($spec) use($id){
                    $spec->where('id',$id);
                })->orderBy('enrollment_date','desc')->get();
                break;
        }

        return view('reports.report_view')->with(array('data'=>$data,'type'=>$criteria, 'id'=>$id));
    }
}
