<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Mail;
use Illuminate\Foundation\Auth\User as Authenticatable;


class ScientificAdvisor extends Authenticatable
{
    protected $table = 'scientific_advisors';

    protected $fillable = ['title','name','surname','last_name','workplace','phone','email','password'];

    public $timestamps = false;

    public function buildName(){
        $name = '';
        if(strlen($this->title) > 0) $name.= $this->title.' ';
        $name .= $this->name.' ';
        /*if(strlen($this->surname) > 0) $name.= $this->surname.' ';*/
        $name .= $this->last_name;

        return $name;
    }
    
    public static function sendRegistrationCode($email,$phone){

    }

    public function sendPassword(){
        $newPassword = str_random(10);
        if(strlen($this->password) < 1) {
            $this->password = bcrypt($newPassword);
            $this->save();
            Mail::send('email.advisor_password', array('password' => $newPassword), function ($m) {
                $m->from('test@phd.zlatarov.net', 'PHD System');
                $m->to($this->email, $this->buildName())->subject('Your password');
            });
            return true;
        } else{
            return false;
        }
    }
}
