<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCandidatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {Schema::create('candidates', function (Blueprint $table) {
        $table->increments('id');
        $table->string('EGN',10)->unique();
        $table->string('name',255);
        $table->string('surname',255);
        $table->string('last_name',255);
        $table->string('gender',2);
        $table->string('citizenship',255);
        $table->string('birthplace',255);
        $table->text('home_address');
        $table->text('permanent_address');
        $table->string('home_phone',255);
        $table->string('mobile_phone',255);
        $table->string('office_phone',255);
        $table->string('email',255);
        $table->string('password',60);
        $table->text('workplace');
        $table->text('edu_institution_name');
        $table->string('degree_qualification',255);
        $table->text('degree_name');
        $table->date('graduation_date');
        $table->date('degree_gpa');
        $table->date('degree_def_gpa');
        $table->integer('status');
        $table->integer('edu_form_id')->unsigned()->references('id')->on('edu_form');
        $table->integer('finance_form_id')->unsigned()->references('id')->on('finance_form');
        $table->integer('department_id')->unsigned()->references('id')->on('departments');
        $table->integer('specialty_id')->references('id')->on('specialties');
        $table->integer('scientific_advisor');
        $table->integer('scientific_advisor_sec');
        $table->string('foreign_language',25);

        //Timestamps
        $table->timestamps();
    });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('candidates');
    }
}
