<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-15
 * Time: 11:10 PM
 */
?>

@extends('admin.mainview')

@section('admcontent')
    <div class="p20">
        <div class="row">
            <div class="col-md-6">
                <legend>Данни за кандидата</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Име</div>
                    <div class="col-md-8">{{$af->candidate->name}} {{$af->candidate->last_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършен университет</div>
                    <div class="col-md-8">{{$af->candidate->edu_institution_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършена специалност</div>
                    <div class="col-md-8">{{$af->candidate->degree_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">ОКС</div>
                    <div class="col-md-8">{{$af->candidate->degreeQualification->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломата</div>
                    <div class="col-md-8">{{number_format($af->candidate->degree_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломна защита</div>
                    <div class="col-md-8">{{number_format($af->candidate->degree_def_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">№ и дата на диплома</div>
                    <div class="col-md-8">{{$af->candidate->diploma_id}}/{{$af->candidate->graduation_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Чужд език</div>
                    <div class="col-md-8">{{$af->candidate->foreign_language}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-12">
                        <a href="{{url('admin/candidates/view/'.$af->candidate->id)}}" class="btn btn-primary">Подробен преглед на кандидата</a>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <legend>Избран конкурс</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Срок за кандидатстване</div>
                    <div class="col-md-8">{{$af->competition->admission->end_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Професионално направление</div>
                    <div class="col-md-8">{{$af->competition->specialty->professional_area->code}} {{$af->competition->specialty->professional_area->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Научна специалност</div>
                    <div class="col-md-8">{{$af->competition->specialty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Факултет</div>
                    <div class="col-md-8">{{$af->competition->department->faculty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Катедра</div>
                    <div class="col-md-8">{{$af->competition->department->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Форма на обучение и финансиране</div>
                    <div class="col-md-8">{{$af->competition->edu_form->name}}, {{$af->competition->finance_form->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">{{$af->competition->secondary_scientific_advisor != null?'Евентуални научни ръководители':'Евентуален научен ръководител'}}</div>
                    <div class="col-md-8">{{$af->competition->scientific_advisor->buildName()}}</div>
                </div>
                @if($af->competition->secondary_scientific_advisor != null)
                    <div class="padded row">
                        <div class="col-md-4 bold"></div>
                        <div class="col-md-8">{{$af->competition->secondary_scientific_advisor->buildName()}}</div>
                    </div>
                @endif
                <div class="padded row">
                    <div class="col-md-12">
                        <a href="{{url('admission/view/'.$af->competition->id)}}" class="btn btn-primary">Подробен преглед на конкурса</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <legend>Документи</legend>
                @if(count($af->files) < 1)
                    Към кандидатурата няма документи.
                @else
                    <table class="table table-responsive">
                        <tr>
                            <th>Вид</th>
                            <th>Име на файла</th>
                            <th>Размер</th>
                            <th></th>
                        </tr>
                        @foreach($af->files as $file)
                            <tr>
                                <td>{{\App\Helpers::friendlyDoctype($file->document_type)}}</td>
                                <td>{{$file->original_filename}}</td>
                                <td>{{\App\Helpers::toMB($file->size)}}MB</td>
                                <td><a href="{{url('files/download/'.$file->id.'/'.$file->original_filename)}}" class="btn btn-sm btn-primary"><span class="glyphicon glyphicon-download-alt"></span> Изтегли</a></td>
                            </tr>
                        @endforeach
                    </table>
                @endif
            </div>
        </div>
        @if($af->status != \App\ApplicationForm::STATUS_PENDING)
        <div class="row">
            <div class="col-md-12">
                <legend>Оценки от изпити</legend>
                @if(isset($errors) && count($errors) > 0)
                    <div class="alert alert-danger">
                        Грешки
                        <ul>
                            @foreach($errors->all() as $error)
                                <li>{{$error}}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <form class="form-horizontal" method="post" action="{{url('admin/applicationforms/updategrades')}}">
                    <fieldset>
                        <div class="form-group">
                            <label class="col-md-4 control-label" for="cGrade">Оценка от изпит по специалността</label>
                            <div class="col-md-4">
                                <input id="cGrade" name="cGrade" type="text" placeholder="Пример: 5.80" class="form-control input-md" value="{{$af->grade_exam>0?$af->grade_exam:''}}">
                                <span class="help-block">Оценка от 2 до 6 с до 2 цифри след десетичната запетая и точност до 0.25</span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label" for="cGradeLanguage">Оценка от изпит по чужд език</label>
                            <div class="col-md-4">
                                <input id="cGradeLanguage" name="cGradeLanguage" type="text" placeholder="Пример: 5.80" class="form-control input-md" value="{{$af->grade_exam_language>0?$af->grade_exam_language:''}}">
                                <span class="help-block">Оценка от 2 до 6 с до 2 цифри след десетичната запетая и точност до 0.25</span>
                            </div>
                        </div>
                        @if($af->status != \App\ApplicationForm::STATUS_PHD)
                        <div class="form-group">
                            <label class="col-md-4 control-label" for="singlebutton"></label>
                            <div class="col-md-4">
                                <button id="singlebutton" name="singlebutton" class="btn btn-success">Запиши</button>
                            </div>
                        </div>
                        @endif

                    </fieldset>
                    <input type="hidden" name="fid" value="{{$af->id}}"/>
                    {{csrf_field()}}
                </form>
            </div>
        </div>
        @endif
        @if($af->grade_exam > 0 && $af->grade_exam_language > 0)
            <div>
                <legend>Зачисляване</legend>
                <form class="form-horizontal" action="{{\Illuminate\Support\Facades\Request::url()}}" method="post">
                    <fieldset>

                        <!-- Text input-->
                        <div class="form-group">
                            <label class="col-md-4 control-label">Такса за плащане</label>
                            <div class="col-md-4">
                                <div class="form-control-static">{{$af->competition->fee}} лв</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label" for="enrollmentDate">Дата на зачисляване</label>
                            <div class="col-md-4">
                                <input id="enrollmentDate" name="enrollmentDate" type="date" placeholder="" class="form-control input-md" value="{{$af->enrollment_date>0?$af->enrollment_date:''}}">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label" for="termDate">Срок</label>
                            <div class="col-md-4">
                                <input id="termDate" name="termDate" type="date" placeholder="" class="form-control input-md" value="{{$af->enrollment_deadline_date>0?$af->enrollment_deadline_date:''}}">
                                <span class="help-block">Отразява срока на докторантурата.</span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label" for="protocolNo">№ протокол от ФС</label>
                            <div class="col-md-4">
                                <input id="protocolNo" name="protocolNo" type="text" placeholder="12/25.06.2016" class="form-control input-md" value="{{strlen($af->protocol)>0?$af->protocol:''}}">
                            </div>
                        </div>

                    @if($af->enrollment_date > 0 && $af->enrollment_deadline_date > 0)
                            <div class="form-group">
                                <label class="col-md-4 control-label">Генериране на заповед</label>
                                <div class="col-md-4">
                                    <a href="{{url('admin/applicationforms/generateorder/'.$af->id)}}" target="_blank" class="btn btn-primary">Генерирай заповед</a>
                                    <span class="help-block">Генерира заповед като Word документ</span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4 control-label" for="orderNo">№ на заповед за зачисляване</label>
                                <div class="col-md-4">
                                    <input id="orderNo" name="orderNo" type="text" placeholder="Пример: 101" class="form-control input-md">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label" for="orderDate">Дата на заповед за зачисляване</label>
                                <div class="col-md-4">
                                    <input id="orderDate" name="orderDate" type="date" placeholder="" class="form-control input-md">
                                </div>
                            </div>
                    @endif

                        <!-- Button (Double) -->
                        @if($af->status != \App\ApplicationForm::STATUS_PHD)
                        <div class="form-group">
                            <label class="col-md-4 control-label"></label>
                            <div class="col-md-8">
                                <button id="button1id" name="button1id" type="submit" class="btn btn-success">Запиши</button>
                            </div>
                        </div>
                        @else
                            <div class="alert alert-success"><span class="glyphicon glyphicon-ok-circle"></span> Този кандидат е зачислен. <a href="{{url('admin/phdstudents/view/'.$af->candidate->linked_phd)}}" class="alert-link">Преглед на докторанта.</a></div>
                        @endif

                    </fieldset>
                    {{csrf_field()}}
                </form>

                </div>
        @endif


    </div>
@endsection
