<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-01
 * Time: 10:33 PM
 */
?>

@extends('admin.mainview')

@section('admcontent')
    <legend>Конкурси и заявки</legend>
    @if(!isset($competitions) || count($competitions) < 1)
        Няма заявки за конкурси.
    @else
        <div>
            Масови действия:
            <a href="javascript:;" class="btn btn-success" onclick="javascript:submitWith('{{url('admin/competitions/approve')}}',true)">Одобряване</a>
            <a href="javascript:;" class="btn btn-danger" onclick="javascript:submitWith('{{url('admin/competitions/reject')}}',true)">Отхвърляне</a>
            <div class="btn-group">
                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Задаване на друг статус <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li><a href="javascript:;" onclick="javascript:submitWith('{{url('admin/competitions/setstatus/'.\App\AdmissionCompetition::STATUS_AWAITING_APPROVAL)}}',true)">Изчакващ одобрение</a></li>
                    <li><a href="javascript:;" onclick="javascript:submitWith('{{url('admin/competitions/setstatus/'.\App\AdmissionCompetition::STATUS_NEEDS_INFO)}}',true)">За допълвание</a></li>
                </ul>
            </div>
            <a href="javascript:;" class="btn btn-primary" id="btn_admission" data-toggle="popover" title="Прикачване към прием" data-content="" data-html="true" data-placement="bottom">Прикачване към прием</a>
            <a href="javascript:;" class="btn btn-info" id="btn_setfee" data-toggle="popover" data-content="test" data-html="true" title="Задаване на такса" data-placement="bottom">Задаване на такса</a>
        </div>
        <br>
        <form method="post" id="massAction">
        <table class="table table-hover table-responsive">
            <tr>
                <th></th>
                <th>Прием</th>
                <th>Научна специалност</th>
                <th>Катедра</th>
                <th>Форма</th>
                <th>Такса за обучение</th>
                <th>Подадена от</th>
                <th>Статус</th>
                <th></th>
            </tr>
            @foreach($competitions as $comp)
                <tr>
                    <td><input type="checkbox" name="cbcomp[]" value="{{$comp->id}}"></td>
                    <td>{{$comp->admission!=NULL?$comp->admission->name:'-'}}</td>
                    <td onclick="window.location.href = '{{url('admin/competitions/view/'.$comp->id)}}'" style="cursor: pointer">{{$comp->specialty->name}}</td>
                    <td>{{$comp->department->name}}</td>
                    <td>{{$comp->edu_form->name}}, {{$comp->finance_form->name}}</td>
                    <td>{{$comp->fee>0?$comp->fee:'Не е зададена'}}</td>
                    <td>
                        @if($comp->userObj instanceof \App\ScientificAdvisor)
                            {{$comp->userObj->buildName()}}
                        @endif
                        @if($comp->userObj instanceof \App\User)
                            {{$comp->userObj->name}}
                         @endif
                    </td>
                    <td><label class="{{\App\Helpers::getCompetitionStatusCSSClass($comp->status)}}">{{\App\Helpers::getCompetitionStatus($comp->status)}}</label></td>
                    <td><a href="{{url('admin/competitions/view/'.$comp->id)}}" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-search"></span> Преглед и управление</a></td>
                </tr>
            @endforeach
        </table>
            {{csrf_field()}}
            <input type="hidden" name="admissionID" id="admissionID" value="">
            <input type="hidden" name="feeSize" id="feeSize" value="">
        </form>
        <div id="admissionPopover" style="display:none">
            <form action="javascript:;" onsubmit="javascript:attachAdmission()">
                <div class="form-group">
                <select name="admissionAttachment" id="admissionAttachment" class="form-control">
                    <option value="">--Изберете--</option>
                    @if(isset($admissions))
                    @foreach($admissions as $adm)
                        <option value="{{$adm->id}}">{{$adm->name}}</option>
                        @endforeach
                    @endif
                    <option value="-1">--Изчисти--</option>
                </select>
                </div>
                <div class="form-group">
                <button class="btn btn-success" type="submit">OK</button>
                </div>
            </form>
        </div>
        <div id="feePopover" style="display: none">
            <form action="javascript:;" onsubmit="javascript:setFee();">
                Въведете такса:
                <input type="text" class="form-control" id="feeSizeTemp">
                <input type="submit" style="margin-top:5px;" class="btn btn-success" value="Задаване"/>
            </form>
        </div>
    @endif
@endsection

@section('localjs')
    <script type="text/javascript">
        function submitWith(action, conf){
            //todo check with $('input[type=checkbox][name="cbcomp[]"]:checked').length
            if($('input[type=checkbox][name="cbcomp[]"]:checked').length < 1){
                alert('Моля, изберете поне един конкурс!');
                return false;
            }
            document.getElementById('massAction').action = action;
            if(conf != true)
            document.getElementById('massAction').submit();
            else{
                var c = confirm("Сигурни ли сте?");
                if(c) document.getElementById('massAction').submit();
            }
        }
        
        function attachAdmission() {
            document.getElementById('admissionID').value = document.getElementById('admissionAttachment').value;
            if(document.getElementById('admissionID').value != '')
            submitWith('{{url('admin/competitions/attach')}}',true);
        }

        function setFee(){
            document.getElementById('feeSize').value = document.getElementById('feeSizeTemp').value;
            if(document.getElementById('feeSize').value != '')
                submitWith('{{url('admin/competitions/setfee')}}',true);
        }

        $(function (){
            $('#btn_admission').attr('data-content',$('#admissionPopover').html());
            $('#btn_setfee').attr('data-content',$('#feePopover').html());
            $('#admissionPopover').html('');
            $('#feePopover').html('');
            $('#btn_admission,#btn_setfee').popover({

            });
        });
    </script>
@endsection