<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-04
 * Time: 4:02 PM
 */
?>

@extends('admin.mainview')

@section('admcontent')
    <form action="{{url('admin/admissions/add')}}" method="post" style="padding:15px;width: 50%;margin:0 auto;">
        <legend>Добавяне на прием</legend>
        @if(isset($errors) && count($errors) > 0)
            <div class="alert alert-danger">
                Грешки
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="form-group">
            <label for="admissionName">Име <span class="redstar"></span></label>
            <input id="admissionName" type="text" name="admissionName" class="form-control" placeholder="Пример: Допълнителен прием за 2016/2017"/>
            <div class="help-block"><b>Внимание!</b> Този текст се показва на страницата с конкурси!</div>
        </div>
        <div class="form-group">
            <label for="admissionNameEn">Име (английски език)</label>
            <input id="admissionNameEn" type="text" name="admissionNameEn" class="form-control" placeholder="Пример: 2016/2017 Admission"/>
            <div class="help-block"><b>Внимание!</b> Този текст се показва на страницата с конкурси!</div>
        </div>
        <div class="form-group">
            <label for="admissionYear">Академична година <span class="redstar"></span></label>
            {{--<input id="admissionYear" type="text" name="admissionYear" class="form-control" placeholder="Пример: 2016 (съответства на 2016/2017)"/>--}}
            <select name="admissionYear" id="admissionYear" class="form-control">
                <option value="">--Изберете--</option>
                @for($i = \Carbon\Carbon::now()->year-1; $i <= \Carbon\Carbon::now()->year+5; $i++)
                    <option value="{{$i}}">{{$i}}/{{$i+1}}</option>
                @endfor
            </select>
        </div>
        <div class="form-group">
            <label for="admissionMessage">Съобщение за контакт <span class="redstar"></span></label>
            <input id="admissionMessage" type="text" name="admissionMessage" class="form-control" placeholder="Погледнете пояснителния текст за пример."/>
            <div class="help-block"><b>Внимание!</b> Този текст се показва в описанието на приема и конкурсите му!
                <br><b>Примерен текст:</b> Документи се подават в отдел „Развитие на академичния състав”, тел. 082/888-455, Валентина Мирчева, кабинет 1.334.</div>
        </div>
        <div class="form-group">
            <label for="admissionMessageEn">Съобщение за контакт (английски език)</label>
            <input id="admissionMessageEn" type="text" name="admissionMessageEn" class="form-control" placeholder="Погледнете пояснителния текст за пример."/>
            <div class="help-block"><b>Внимание!</b> Този текст се показва в описанието на приема и конкурсите му!
                <br><b>Примерен текст:</b> Documentation must be submitted to the Academic Staff Development Department, room 1.334, Mrs. Valentina Mircheva, phone: +359 (82) 888-455</div>
        </div>
        <div class="form-group">
            <span class="redstar"></span> - задължително поле
        </div>
        <div class="form-group">
            <label for="admissionDvIssue">Брой на ДВ</label>
            <input id="admissionDvIssue" type="text" name="admissionDvIssue" class="form-control" placeholder="Пример: 25"/>
        </div>
        <div class="form-group">
            <label for="admissionDvDate">Дата на публикуване в ДВ</label>
            <input id="admissionDvDate" type="date" name="admissionDvDate" class="form-control" />
            <div class="help-block"><b>Внимание!</b> Конкурсите, свързани с този прием, ще бъдат активирани автоматично от тази дата!</div>
        </div>
        <div class="form-group">
            <label for="admissionEndDate">Дата на край на приема</label>
            <input id="admissionEndDate" type="date" name="admissionEndDate" class="form-control" />
            <div class="help-block"><b>Внимание!</b> Конкурсите, свързани с този прием, ще приключат на тази дата! Обикновено 2 месеца след публикуване в ДВ.</div>
        </div>
        <div clas="form-group">
            {{csrf_field()}}
            <input type="submit" name="departmentSubmit" id="departmentSubmit" class="btn btn-primary form-control" value="Запиши"/>
        </div>
    </form>
@endsection
