<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 3/14/2016
 * Time: 10:39 PM
 */
?>

@extends('admin.mainview')

@section('localjs')
    <script type="text/javascript">
        $(function () {
            $('#psPA').change(function () {
                var req = $.ajax({
                    'url': '{{url('admin/specialties/json/pa/')}}/'+$('#psPA').val(),
                    'type': 'GET',
                    'dataType': 'json'
                });

                req.done(function (json) {
                    console.log(json.length);
                   if(json.length < 1){
                        $('#psSpec').html('<option value="">Не са открити специалности.</option>');
                   } else{
                        $('#psSpec').html('');
                        $.each(json, function (key,item) {
                            $('#psSpec').append('<option value="'+item.id+'">'+item.name+'</option>');
                        });
                   }
                });
            });
        });
    </script>
@endsection

@section('admcontent')
    @yield('localjs')
    <form action="{{url('admin/phdstudents/add')}}" method="post" style="padding:15px;width: 50%;margin:0 auto;">
        <legend>Добавяне на докторанти</legend>
        @if(isset($errors) && count($errors) > 0)
                <div class="alert alert-danger">
                Грешки
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif

       <div class="form-group">
           <label for="psFirstName">Име</label>
           <input type="text" name="psFirstName" id="psFirstName" class="form-control" value="{{old('psFirstName')}}">
       </div>
        <div class="form-group">
            <label for="psSurname">Презиме</label>
            <input type="text" name="psSurname" id="psSurname" class="form-control" value="{{old('psSurname')}}">
        </div>
        <div class="form-group">
            <label for="psLastName">Фамилия</label>
            <input type="text" name="psLastName" id="psLastName" class="form-control" value="{{old('psLastName')}}">
        </div>
        <div class="form-group">
            <label for="psUIN">ЕГН</label>
            <input type="text" name="psUIN" id="psUIN" class="form-control" value="{{old('psUIN')}}">
        </div>
        <div class="form-group">
            <label for="psGender">Пол</label>
            <select name="psGender" id="psGender" class="form-control">
                @if (old('psGender') == 'm')
                    <option value="m" selected>Мъж</option>
                    @else <option value="m" >Мъж</option>
                @endif
                @if (old('psGender') == 'f')
                    <option value="f" selected>Жена</option>
                    @else <option value="f">Жена</option>
                @endif
                {{--<option value="o">Непосочено</option>--}}
            </select>
        </div>
        <div class="form-group">
            <label for="psCitizenship">Гражданство</label>
            <input type="text" name="psCitizenship" id="psCitizenship" class="form-control" value="{{old('psCitizenship')}}">
        </div>
        <div class="form-group">
            <label for="psBirthplace">Месторождение</label>
            <input type="text" name="psBirthplace" id="psBirthplace" class="form-control" value="{{old('psBirthplace')}}">
        </div>
        <div class="form-group">
            <label for="psHomeAddress">Домашен адрес</label>
            <input type="text" name="psHomeAddress" id="psHomeAddress" class="form-control" value="{{old('psHomeAddress')}}">
        </div>
        <div class="form-group">
            <label for="psPermanentAddress">Постоянен адрес</label>
            <input type="text" name="psPermanentAddress" id="psPermanentAddress" class="form-control" value="{{old('psPermanentAddress')}}">
        </div>
        <div class="form-group">
            <label for="psHomePhone">Домашен телефон</label>
            <input type="text" name="psHomePhone" id="psHomePhone" class="form-control" value="{{old('psHomePhone')}}">
        </div>
        <div class="form-group">
            <label for="psMobilePhone">Мобилен телефон</label>
            <input type="text" name="psMobilePhone" id="psMobilePhone" class="form-control" value="{{old('psMobilePhone')}}">
        </div>
        <div class="form-group">
            <label for="psOfficePhone">Служебен телефон</label>
            <input type="text" name="psOfficePhone" id="psOfficePhone" class="form-control" value="{{old('psOfficePhone')}}">
        </div>
        <div class="form-group">
            <label for="psEmail">e-mail</label>
            <input type="text" name="psEmail" id="psEmail" class="form-control" value="{{old('psEmail')}}">
        </div>
        <div class="form-group">
            <label for="psWorkplace">Месторабота</label>
            <input type="text" name="psWorkplace" id="psWorkplace" class="form-control" value="{{old('psWorkplace')}}">
        </div>
        <div class="form-group">
            <label for="psEduInstitution">Завършен университет</label>
            <input type="text" name="psEduInstitution" id="psEduInstitution" class="form-control" value="{{old('psEduInstitution')}}">
        </div>
        <div class="form-group">
            <label for="psDegreeQualification">Образователно-квалификационна степен</label>
            <select name="psDegreeQualification" id="psDegreeQualification" class="form-control">
                <option value="">--Изберете--</option>
                @foreach(\App\DegreeQualification::all() as $item)
                    @if(old('psDegreeQualification') == ''.$item->id)
                        <option value="{{$item->id}}" selected>{{$item->name}}</option>
                    @else
                        <option value="{{$item->id}}">{{$item->name}}</option>
                    @endif
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psDegreeName">Завършена специалност</label>
            <input type="text" name="psDegreeName" id="psDegreeName" class="form-control" value="{{old('psEduInstitution')}}">
        </div>
        <div class="form-group">
            <label for="psDiplNo">Номер на магистърска диплома</label>
            <input type="text" name="psDiplNo" id="psDiplNo" class="form-control" value="{{old('psDiplNo')}}">
        </div>
        <div class="form-group">
            <label for="psGraduationDate">Дата на издаване на дипломата</label>
            <input type="date" name="psGraduationDate" id="psGraduationDate" class="form-control" value="{{old('psGraduationDate')}}">
        </div>
        <div class="form-group">
            <label for="psDegreeGPA">Среден успех от дипломата</label>
            <input type="text" name="psDegreeGPA" id="psDegreeGPA" class="form-control" placeholder="Пример: 5.00" value="{{old('psDegreeGPA')}}">
        </div>
        <div class="form-group">
            <label for="psDegreeGPADef">Среден успех от дипломната работа</label>
            <input type="text" name="psDegreeGPADef" id="psDegreeGPADef" class="form-control" placeholder="Пример: 5.00" value="{{old('psDegreeGPADef')}}">
        </div>
        <div class="form-group">
            <label for="psEduForm">Форма на обучение</label>
            <select name="psEduForm" id="psEduForm" class="form-control">
                <option value="">--Изберете--</option>
                @foreach(\App\EduForm::all() as $item)
                    @if(old('psEduForm') == ''.$item->id)
                        <option value="{{$item->id}}" selected>{{$item->name}}</option>
                    @else <option value="{{$item->id}}">{{$item->name}}</option>
                    @endif
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psFinanceForm">Форма на финансиране</label>
            <select name="psFinanceForm" id="psFinanceForm" class="form-control">
                <option value="">--Изберете--</option>
                @foreach(\App\FinanceForm::all() as $item)
                    <option value="{{$item->id}}">{{$item->name}}</option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psDepartment">Катедра</label>
            <select name="psDepartment" id="psDepartment" class="form-control">
                <option value="">--Изберете--</option>
                @foreach(\App\Department::all() as $dep)
                    <option value="{{$dep->id}}">{{$dep->name}}</option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psPA">Професионално направление</label>
            <select name="psPA" id="psPA" class="form-control">
                <option value="">--Изберете--</option>
                @foreach(\App\ProfessionalArea::all() as $pa)
                    <option value="{{$pa->code}}">{{$pa->code}} {{$pa->name}}</option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psSpec">Специалност</label>
            <select name="psSpec" id="psSpec" class="form-control">
                <option value="">--Изберете професионално направление--</option>
                {{--@foreach(\App\Specialty::all() as $pa)
                    <option value="{{$pa->id}}">{{$pa->name}}</option>
                @endforeach--}}
            </select>
        </div>
        <div class="form-group">
            <label for="psForeignLanguage">Чужд език, по който ще се полага изпит</label>
            <input type="text" name="psForeignLanguage" id="psForeignLanguage" class="form-control" placeholder="Пример: Английски">
        </div>
        <div class="form-group" >
            <label for="psSA1">Първи научен ръководител</label>
            {{--<div class="input-group">
                <input type="text" name="psSA1" id="psSA1" class="form-control" placeholder="Изберете..." disabled>
                <span class="input-group-btn">
                    <a class="btn btn-default" id="saSelect">Избор...</a>
                </span>
            </div>--}}
            <select id="psSA1" name="psSA1" class="form-control">
                <option></option>
                @foreach(\App\ScientificAdvisor::all() as $sa)
                    <option value="{{$sa->id}}">{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>
                @endforeach
            </select>

        </div>
        <div class="form-group" >
        <label for="psSA2">Втори научен ръководител</label>
        {{--<div class="input-group">
            <input type="text" name="psSA2" id="psSA2" class="form-control" placeholder="Изберете..." disabled>
                <span class="input-group-btn" >
                    <a class="btn btn-default" href="javascript:alert('select second!');">Избор...</a>
                </span>
        </div>--}}
            <select id="psSA2" name="psSA2" class="form-control">
                <option></option>
                <option>(няма)</option>
                @foreach(\App\ScientificAdvisor::all() as $sa)
                    <option value="{{$sa->id}}">{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="psOrderDocument">№ на заповед</label>
            <input type="text" name="psOrderDocument" id="psOrderDocument" class="form-control" placeholder="Пример: 631">
        </div>
        <div class="form-group">
            <label for="psOrderDocumentDate">Дата на заповед</label>
            <input type="date" name="psOrderDocumentDate" id="psOrderDocumentDate" class="form-control" placeholder="Пример: 631">
        </div>
        <div class="form-group">
            <label for="psEnrollmentDate">Дата на зачисляване</label>
            <input type="date" name="psEnrollmentDate" id="psEnrollmentDate" class="form-control" placeholder="Пример: 631">
        </div>
        <div class="form-group">
            <label for="psTermDate">Срок</label>
            <input type="date" name="psTermDate" id="psTermDate" class="form-control" placeholder="Пример: 631">
        </div>
        <div class="form-group">
            {{csrf_field()}}
            <input type="submit" value="Запиши" class="btn btn-primary form-control">
        </div>
    </form>
    <div class="modal fade" tabindex="1" id="selectAdvisorModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">Избор на научен ръководител <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>
                <div class="modal-body">
                    <form action="javascript:;">
                        <div class="form-group">
                            <label for="searchName">Търсене по име:</label>
                            <input type="text" name="searchName" id="searchName" class="form-control" placeholder="&quot;Иван Димитров Петров&quot; или &quot;Иван Петров&quot; или само име/фамилия">
                        </div>
                        <div class="form-group">
                            <label for="searchPhone">ИЛИ телефон</label>
                            <input type="text" name="searchPhone" id="searchPhone" class="form-control" placeholder="Може и част от тел. номер">
                        </div>
                        <div class="form-group">
                            <label for="searchName">ИЛИ e-mail:</label>
                            <input type="text" name="searchEmail" id="searchEmail" class="form-control">
                        </div>
                        <div class="form-group">
                            <input type="submit" id="searchSubmit" class="btn btn-primary" value="Търси">
                        </div>
                        <input type="hidden" id="csrftoken" value="{{csrf_token()}}">
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function () {
            $('#psSA1, #psSA2').select2({
                placeholder: 'Изберете...'
            });


            $('#saSelect').click(function () {
                $('#selectAdvisorModal').modal();
            });
            
            $('#searchSubmit').click(function () {

                var c_name = $('#searchName').val();
                var c_tel = $('#searchPhone').val();
                var c_email = $('#searchEmail').val();

                var type = '';
                var criteria = '';
                if(c_name.length > 1){
                    type='name';
                    criteria = c_name;
                }
                else if(c_tel.length > 1){
                    type='phone';
                    criteria = c_tel;
                }
                else if(c_email.length > 1){
                    type='email';
                    criteria = c_email;
                }
                else{
                    alert('Въведете точно един критерий!');
                    return;
                }


                $.ajax({
                    'url': '{{url('admin/scientificadvisors/json/search/')}}/'+type+'/'+criteria,
                    'data': {
                        '_token': $('#csrftoken').val()
                    },
                    'type': 'POST'
                });
            });
        });
    </script>
@endsection




