@include('smallimages')
@section('navbar')
<nav class="navbar navbar-default">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{{url('admin')}}"><img src="@yield('ru-logo')" alt="Logo" style="height:35px;margin-top:-10px;"></a>
            <a class="navbar-brand" href="{{url('admin')}}">ИС "Уеб Докторант"</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                {{--<li class="active"><a href="#">Link <span class="sr-only">(current)</span></a></li>--}}
                {{--<li><a href="#">Link</a></li>--}}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Университетски структури <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="{{url('admin/faculties')}}">Факултети</a></li>
                        <li><a href="{{url('admin/departments')}}">Катедри</a></li>
                        <li role="separator" class="divider"></li>
                        <li><a href="{{url('admin/educationareas')}}">Области на висшето образование</a></li>
                        <li><a href="{{url('admin/professionalareas')}}">Професионални направления</a></li>
                        <li role="separator" class="divider"></li>
                        <li><a href="{{url('admin/specialties')}}">Специалности</a></li>
                    </ul>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Докторанти <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="{{url('admin/phdstudents')}}">Управление на докторанти</a></li>
                        <li role="separator" class="divider"></li>
                        <li><a href="{{url('admin/phdstudents/add')}}">Добави докторант</a></li>
                        <li role="separator" class="divider"></li>
                    </ul>
                </li>
            </ul>
            <form class="navbar-form navbar-left" role="search" action="javascript:;">
                <div class="form-group">
                    <input type="text" id="navsearch" class="form-control" placeholder="Намери..." data-provide="typeahead" autocomplete="off">
                </div>
                <div class="form-group">
                    <select class="form-control" id="es-criteria">
                        <option value="phdstudents" data-url="{{url('admin/phdstudents/view')}}/">докторанти</option>
                        <option value="candidates" data-url="{{url('admin/candidates/view')}}/">кандидати</option>
                        <option value="advisors" data-url="{{url('admin/scientificadvisors/view')}}/">научни ръководители</option>
                    </select>
                </div>{{--
                <button type="submit" class="btn btn-default">Търси</button>--}}
            </form>
            <ul class="nav navbar-nav navbar-right">

                {{--<li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Dropdown <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="#">Action</a></li>
                        <li><a href="#">Another action</a></li>
                        <li><a href="#">Something else here</a></li>
                        <li role="separator" class="divider"></li>
                        <li><a href="#">Separated link</a></li>
                    </ul>
                </li>--}}
                <li><a href="{{url('admin/logout')}}">@if(isset($user->name)){{$user->name}}@endif() (Изход)</a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>
    <script type="text/javascript">
        $(function (){

            $('#es-criteria').change(function (){
                var $option = $(this).find('option:selected');
                console.log('index: '+$(this).val(),', option: '+$option.attr('data-url'));
                switchTypeAhead($(this).val(),$option.attr('data-url'),false);
            });

            initTypeAhead();


        })

        function switchTypeAhead(index,url,nounbind){
            if(nounbind == null || !nounbind) $('#navsearch').typeahead('destroy');
            $('#navsearch').typeahead({
                ajax: {
                    url: '{{url('admin/elastic')}}/'+index,
                    timeout: 500,
                    method: "post",
                    loadingClass: "loading-circle",
                },
                matcher: function(item){
                    return true;
                },
                onSelect:function(item){
                    window.location.href = url+item.value;
                }
            });

        }

        function initTypeAhead(){
            var dd = $('#es-criteria');
            var url = dd.find('option:selected').attr('data-url');
            switchTypeAhead(dd.val(),url,true);
        }
    </script>
@endsection
