<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-05-23
 * Time: 11:31 AM
 */
?>

@extends('mainview')

@section('localjs')
    <script type="text/javascript">
        $(function () {
            $('#compPA').change(function () {
                var req = $.ajax({
                    'url': '{{url('advisor/specialties/json/pa/')}}/'+$('#compPA').val(),
                    'type': 'GET',
                    'dataType': 'json'
                });

                req.done(function (json) {
                    console.log(json.length);
                    if(json.length < 1){
                        $('#compSpec').html('<option value="">Не са открити специалности.</option>');
                    } else{
                        $('#compSpec').html('');
                        $.each(json, function (key,item) {
                            $('#compSpec').append('<option value="'+item.id+'">'+item.name+'</option>');
                        });
                    }
                });
            });

            $('#compSA1, #compSA2').select2({
                placeholder: 'Изберете...'
            });
        });
    </script>
@endsection



@section('maincontent')
    <div class="p20">
        <legend>{{Lang::get('advisorcp.competition_create_pagetitle')}}</legend>
        @if(isset($errors) && count($errors) > 0)
            <div class="alert alert-danger">
                Грешки
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <form action="{{\Illuminate\Support\Facades\Request::url()}}" class="form-horizontal" method="post">

            <div class="form-group">
                <label class="col-md-4 control-label" for="compPA">Професионално направление</label>
                <div class="col-md-6">
                    <select name="compPA" id="compPA" class="form-control">
                        <option value="">--Изберете--</option>
                        @foreach(\App\ProfessionalArea::has('specialties','>',0)->get() as $pa)
                            @if($pa->code == old('compPA'))
                                <option value="{{$pa->code}}" selected>{{$pa->code}} {{$pa->name}}</option>
                                @else
                            <option value="{{$pa->code}}">{{$pa->code}} {{$pa->name}}</option>
                                @endif
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compSpec">Научна специалност</label>
                <div class="col-md-6">

                    <select name="compSpec" id="compSpec" class="form-control">
                        @if(strlen(old('compPA')) > 0)
                            @foreach(\App\Specialty::where('professional_area_id',old('compPA'))->get() as $spec)
                                @if($spec->id == old('compSpec'))
                                    <option value="{{$spec->id}}" selected>{{$spec->name}}</option>
                                    @else
                                    <option value="{{$spec->id}}">{{$spec->name}}</option>
                                    @endif
                            @endforeach
                        @else <option value="">--Изберете професионално направление--</option>
                        @endif

                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compDepartment">Катедра</label>
                <div class="col-md-6">
                    <select name="compDepartment" id="compDepartment" class="form-control">
                        <option value="">--Изберете--</option>
                        @foreach(\App\Department::all() as $dep)
                            @if($dep->id == old('compDepartment'))
                                <option value="{{$dep->id}}" selected>{{$dep->name}}</option>
                                @else
                                <option value="{{$dep->id}}">{{$dep->name}}</option>
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compEduForm">Форма на обучение</label>
                <div class="col-md-6">
                    <select name="compEduForm" id="compEduForm" class="form-control">
                        <option value="">--Изберете--</option>
                        @foreach(\App\EduForm::all() as $item)
                            @if(old('compEduForm') == ''.$item->id)
                                <option value="{{$item->id}}" selected>{{$item->name}}</option>
                            @else <option value="{{$item->id}}">{{$item->name}}</option>
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compFinanceForm">Форма на финансиране</label>
                <div class="col-md-6">
                    <select name="compFinanceForm" id="compFinanceForm" class="form-control">
                        <option value="">--Изберете--</option>
                        @foreach(\App\FinanceForm::all() as $item)
                            @if(old('compFinanceForm') == ''.$item->id)
                                <option value="{{$item->id}}" selected>{{$item->name}}</option>
                            @else <option value="{{$item->id}}">{{$item->name}}</option>
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compSA1">Първи научен ръководител</label>
                <div class="col-md-6">
                    <select name="compSA1" id="compSA1" class="form-control" readonly>
                        @foreach(\App\ScientificAdvisor::all() as $sa)
                            @if($sa->id == \App\Helpers::getUser()->id)
                                <option value="{{$sa->id}}" selected>{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>
                                {{--@else--}}
                            {{--<option value="{{$sa->id}}">{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>--}}
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="compSA2">Втори научен ръководител</label>
                <div class="col-md-6">
                    <select name="compSA2" id="compSA2" class="form-control">
                        <option value="">--Изберете--</option>
                        @foreach(\App\ScientificAdvisor::all() as $sa)
                            @if($sa->id == old('compSA2'))
                                <option value="{{$sa->id}}" selected>{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>
                                @else <option value="{{$sa->id}}">{{$sa->title}} {{$sa->name}} {{$sa->surname}} {{$sa->last_name}}</option>
                            @endif
                        @endforeach
                    </select>
                </div>
            </div>

            {{csrf_field()}}
            <div class="form-group">
                <div class="col-md-4 control-label"></div>
                <div class="col-md-8">
                    <a href="{{url('advisor')}}" class="btn btn-danger">Откажи</a>
                    <input id="submitbtn" name="submit" type="submit" class="btn btn-success" value="Продължи">
                </div>
            </div>
            </form>






    </div>
@endsection
