<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-15
 * Time: 11:10 PM
 */
?>

@extends('mainview')

@section('maincontent')
    <div class="p20">
        <div class="row">
            <div class="col-md-6">
                <legend>Данни за кандидата</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Име</div>
                    <div class="col-md-8">{{$af->candidate->name}} {{$af->candidate->last_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършен университет</div>
                    <div class="col-md-8">{{$af->candidate->edu_institution_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършена специалност</div>
                    <div class="col-md-8">{{$af->candidate->degree_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">ОКС</div>
                    <div class="col-md-8">{{$af->candidate->degreeQualification->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломата</div>
                    <div class="col-md-8">{{number_format($af->candidate->degree_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломна защита</div>
                    <div class="col-md-8">{{number_format($af->candidate->degree_def_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">№ и дата на диплома</div>
                    <div class="col-md-8">{{$af->candidate->diploma_id}}/{{$af->candidate->graduation_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Чужд език</div>
                    <div class="col-md-8">{{$af->candidate->foreign_language}}</div>
                </div>
            </div>
            <div class="col-md-6">
                <legend>Избран конкурс</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Срок за кандидатстване</div>
                    <div class="col-md-8">{{$af->competition->admission->end_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Професионално направление</div>
                    <div class="col-md-8">{{$af->competition->specialty->professional_area->code}} {{$af->competition->specialty->professional_area->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Научна специалност</div>
                    <div class="col-md-8">{{$af->competition->specialty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Факултет</div>
                    <div class="col-md-8">{{$af->competition->department->faculty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Катедра</div>
                    <div class="col-md-8">{{$af->competition->department->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Форма на обучение и финансиране</div>
                    <div class="col-md-8">{{$af->competition->edu_form->name}}, {{$af->competition->finance_form->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Годишна такса за обучение</div>
                    <div class="col-md-8">{{number_format($af->competition->fee,2)}} лв</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">{{$af->competition->secondary_scientific_advisor != null?'Евентуални научни ръководители':'Евентуален научен ръководител'}}</div>
                    <div class="col-md-8">{{$af->competition->scientific_advisor->buildName()}}</div>
                </div>
                @if($af->competition->secondary_scientific_advisor != null)
                    <div class="padded row">
                        <div class="col-md-4 bold"></div>
                        <div class="col-md-8">{{$af->competition->secondary_scientific_advisor->buildName()}}</div>
                    </div>
                @endif
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <legend>Документи</legend>
                @if(count($af->files) < 1)
                    Към кандидатурата няма документи.
                @else
                    <table class="table">
                        <tr>
                            <th>Вид</th>
                            <th>Име на файла</th>
                            <th>Размер</th>
                            <th></th>
                        </tr>
                    @foreach($af->files as $file)
                        <tr>
                            <td>{{\App\Helpers::friendlyDoctype($file->document_type)}}</td>
                            <td>{{$file->original_filename}}</td>
                            <td>{{\App\Helpers::toMB($file->size)}}MB</td>
                            <td><a href="{{url('files/download/'.$file->id.'/'.$file->original_filename)}}" class="btn btn-sm btn-primary"><span class="glyphicon glyphicon-download-alt"></span> Изтегли</a></td>
                        </tr>
                    @endforeach
                    </table>
                @endif
            </div>
        </div>
    </div>
@endsection
