<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-11
 * Time: 11:11 PM
 */
?>


@extends('mainview')

@section('maincontent')
    <div class="p20">
        @if(\App\ApplicationForm::where('status',\App\ApplicationForm::STATUS_PHD)->where('candidate_id',\App\Helpers::getUser()->id)->count() > 0)
            <div class="alert alert-success"><span class="glyphicon glyphicon-ok-circle"></span>
                Поздравления! Вече сте зачислен/а като докторант. Моля, изберете "Изход" и "Вход за докторанти" в менюто.
                <br><br>
                @if(isset($errors) && count($errors) > 0)
                    <div class="alert alert-danger" style="text-align: left;">
                        @foreach($errors->all() as $error)
                            {{$error}}<br>
                        @endforeach

                    </div>
                @endif
                @if(strlen(\App\Helpers::getUser()->phd->password)<1)
                <p style="font-weight: bold;">Необходимо е да зададете парола за докторантския профил.</p>
                <form class="form-horizontal" action="{{url('phdpassword')}}" method="post">
                    <div class="row">
                    <div class="col-sm-2 form-control-static" style="text-align: right;">Нова парола:</div>
                    <div class="col-sm-2"><input type="password" name="password" class="form-control"></div>
                    <div class="col-sm-2 form-control-static" style="text-align: right;">Отново:</div>
                    <div class="col-sm-2"><input type="password" name="password2" class="form-control"></div>
                    <div class="col-sm-2"><input type="submit" value="Запиши" class="btn btn-default"> </div>
                    </div>
                    {{csrf_field()}}
                </form>
                @else
                    <p style="font-weight: bold;">Влезте в профил на докторант, като използвате досегашния си електронен адрес и новата парола, която въведохте след зачисляване.</p>
                @endif
            </div>
        @endif
        <legend>Моят профил</legend>
        <div class="row">
            <div class="col-md-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">Моите данни</div>
                    <div class="panel-body">
                        <div class="padded row">
                            <div class="col-md-4 bold">Име</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->name}} {{\App\Helpers::getUser()->surname}} {{\App\Helpers::getUser()->last_name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Завършен университет</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->edu_institution_name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Завършена специалност</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->degree_name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">ОКС</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->degreeQualification->name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Среден успех от дипломата</div>
                            <div class="col-md-8">{{number_format(\App\Helpers::getUser()->degree_gpa,2)}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Среден успех от дипломна защита</div>
                            <div class="col-md-8">{{number_format(\App\Helpers::getUser()->degree_def_gpa,2)}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">№ и дата на диплома</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->diploma_id}}/{{\App\Helpers::getUser()->graduation_date}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Чужд език</div>
                            <div class="col-md-8">{{\App\Helpers::getUser()->foreign_language}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-12">
                                <a href="{{url('profile/edit')}}" class="btn btn-primary">Промяна на данните</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">Моите конкурси</div>
                    <div class="panel-body">
                        @if(\App\Helpers::getUser()->applicationForms->count() < 1)
                            Не сте кандидатствали за нито един конкурс.<br>
                            <a href="{{url('admission')}}" class="btn btn-link">Разгледайте активните конкурси</a>
                            @else
                            <table class="table table-responsive table-hover">
                                <tr>
                                    <th>Акад. година</th>
                                    <th>Научна специалност</th>
                                    <th>Форма на обучение и финансиране</th>
                                    <th>Състояние</th>
                                </tr>
                                @foreach(\App\Helpers::getUser()->applicationForms as $af)
                                    <tr>
                                        <td>{{$af->competition->admission->year}}/{{$af->competition->admission->year+1}}</td>
                                        <td><a href="{{url('profile/applicationform/'.$af->id)}}">{{$af->competition->specialty->name}}</a></td>
                                        <td>{{$af->competition->edu_form->name}}, {{$af->competition->finance_form->name}}</td>
                                        <td><label class="{{$af->getStatusCSSClass()}}">{{$af->getStatus()}}</label> </td>
                                    </tr>
                                @endforeach
                            </table>
                        @endif
                        <div>
                            {{--<div style="text-align:right">
                                <a href="{{url('admission')}}" class="btn btn-primary">Други актуални конкурси</a>
                            </div>--}}
                        </div>
                    </div>
                </div>
                @if(\App\Helpers::getUser()->applicationForms()
                        ->where('date_exam','>=',\Carbon\Carbon::now())
                        ->orWhere(function($q){
                            $q->where('candidate_id',\App\Helpers::getUser()->id);
                            $q->where('date_exam_language','>=',\Carbon\Carbon::now());
                        })
                        ->count() >0)
                    @foreach(\App\Helpers::getUser()->applicationForms()
                        ->where('date_exam','>=',\Carbon\Carbon::now())
                        ->orWhere(function($q){
                            $q->where('candidate_id',\App\Helpers::getUser()->id);
                            $q->where('date_exam_language','>=',\Carbon\Carbon::now());
                        })->get() as $item)
                        <div class="alert alert-info">
                        <span class="glyphicon glyphicon-info-sign"></span> Имате предстоящи изпити:
                        <ul>
                            @if($item->date_exam >= \Carbon\Carbon::now())
                            <li>Изпит по специалността: {{\Carbon\Carbon::parse($item->date_exam)->toDateTimeString()}} в зала {{$item->place_exam}}</li>
                            @endif
                            @if($item->date_exam_language >= \Carbon\Carbon::now())
                            <li>Изпит по чужд език: {{\Carbon\Carbon::parse($item->date_exam_language)->toDateTimeString()}}  в зала {{$item->place_exam_language}}</li>
                            @endif
                        </ul>
                        </div>
                    @endforeach

                @endif
                @if(\App\Helpers::getUser()->applicationForms()
                        ->where('grade_exam','>',0)
                        ->orWhere(function($q){
                            $q->where('candidate_id',\App\Helpers::getUser()->id);
                            $q->where('grade_exam_language','>',0);
                        })
                        ->count() >0)
                    @foreach(\App\Helpers::getUser()->applicationForms()
                        ->where('grade_exam','>',0)
                        ->orWhere(function($q){
                            $q->where('candidate_id',\App\Helpers::getUser()->id);
                            $q->where('grade_exam_language','>',0);
                        })
                       ->get() as $item)
                        <div class="alert alert-warning">
                            <span class="glyphicon glyphicon-info-sign"></span> Оценки от изпити:
                            <ul>
                                @if($item->grade_exam>0)
                                    <li>Изпит по специалността: {{number_format($item->grade_exam,2)}}</li>
                                @endif
                                    @if($item->grade_exam_language>0)
                                        <li>Изпит по чужд език: {{number_format($item->grade_exam_language,2)}}</li>
                                    @endif
                            </ul>
                        </div>
                    @endforeach

                @endif
            </div>

        </div>
    </div>
@endsection