<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-04
 * Time: 3:17 PM
 */
?>


@extends('mainview')

@section('maincontent')
    <div class="p20">
        <legend>Информация за конкурс</legend>
        @if(isset($competition))
            <div class="container">
                <div class="padded row">
                    <div class="col-md-4 bold">Професионално направление</div>
                    <div class="col-md-8">{{$competition->specialty->professional_area->code}} {{$competition->specialty->professional_area->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Научна специалност</div>
                    <div class="col-md-8">{{$competition->specialty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Катедра</div>
                    <div class="col-md-8">{{$competition->department->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Форма на обучение</div>
                    <div class="col-md-8">{{$competition->edu_form->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Форма на финансиранe</div>
                    <div class="col-md-8">{{$competition->finance_form->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Годишна такса за обучение</div>
                    <div class="col-md-8">{{number_format($competition->fee,2)}} лв</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Първи научен ръководител</div>
                    <div class="col-md-8">{{$competition->scientific_advisor->buildName()}}</div>
                </div>
                @if(isset($competition->secondary_scientific_advisor))
                    <div class="padded row">
                        <div class="col-md-4 bold">Втори научен ръководител</div>
                        <div class="col-md-8">{{$competition->secondary_scientific_advisor->buildName()}}</div>
                    </div>
                @endif
            </div>

            @if(count($competition->files))
                <legend>Документи</legend>
                <table class="table">
                    <tr>
                        <th>Вид документ</th>
                        <th>Име на файл</th>
                        <th>Размер</th>
                        <th></th>
                    </tr>
                    @foreach($competition->files as $file)
                        @if($file->document_type != 'protocol')
                        <tr>
                            <td>{{\App\Helpers::friendlyDoctype($file->document_type)}}</td>
                            <td>{{$file->original_filename}}</td>
                            <td>{{\App\Helpers::toMB($file->size)}}MB</td>
                            <td><a href="{{url('files/download/'.$file->id.'/'.$file->original_filename)}}" class="btn btn-sm btn-primary"><span class="glyphicon glyphicon-download-alt"></span> Изтегли</a></td>
                        </tr>
                        @endif
                    @endforeach
                </table>
            @else
                <div class="alert alert-danger"><span class="glyphicon glyphicon-alert"></span> Този конкурс няма документация! Моля, допълнете я от <a href="{{url('advisor/competitions/documentation/'.$competition->id)}}">тук</a>.</div>
            @endif
        @else
            <div class="alert alert-danger">Този конкурс не съществува.</div>
        @endif
    </div>

@endsection

