<?php
/**
 * Created by PhpStorm.
 * User: Pavel
 * Date: 2016-06-09
 * Time: 11:55 PM
 */
?>

@extends('mainview')

@section('maincontent')
    <div class="p20">
        @if(!isset($competition) || $competition == null || $competition->admission == null || $competition->admission->status() != \App\Admission::STATUS_ACTIVE)
            <div class="alert alert-danger">
                <span class="glyphicon glyphicon-ban-circle"></span>
                Избраният от Вас конкурс не съществува, не е активен, или е изтекъл.
            </div><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        @else
        <div class="row">
            <div class="col-md-6">
                <legend>Вашите данни</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Име</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->name}} {{\App\Helpers::getUser()->surname}} {{\App\Helpers::getUser()->last_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършен университет</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->edu_institution_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Завършена специалност</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->degree_name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">ОКС</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->degreeQualification->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломата</div>
                    <div class="col-md-8">{{number_format(\App\Helpers::getUser()->degree_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Среден успех от дипломна защита</div>
                    <div class="col-md-8">{{number_format(\App\Helpers::getUser()->degree_def_gpa,2)}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">№ и дата на диплома</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->diploma_id}}/{{\App\Helpers::getUser()->graduation_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Чужд език</div>
                    <div class="col-md-8">{{\App\Helpers::getUser()->foreign_language}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-12">
                        <a href="{{url('profile/edit')}}" class="btn btn-primary">Промяна на данните</a>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <legend>Избран конкурс</legend>
                <div class="padded row">
                    <div class="col-md-4 bold">Срок за кандидатстване</div>
                    <div class="col-md-8">{{$competition->admission->end_date}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Професионално направление</div>
                    <div class="col-md-8">{{$competition->specialty->professional_area->code}} {{$competition->specialty->professional_area->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Научна специалност</div>
                    <div class="col-md-8">{{$competition->specialty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Факултет</div>
                    <div class="col-md-8">{{$competition->department->faculty->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Катедра</div>
                    <div class="col-md-8">{{$competition->department->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Форма на обучение и финансиране</div>
                    <div class="col-md-8">{{$competition->edu_form->name}}, {{$competition->finance_form->name}}</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">Годишна такса за обучение</div>
                    <div class="col-md-8">{{number_format($competition->fee,2)}} лв</div>
                </div>
                <div class="padded row">
                    <div class="col-md-4 bold">{{$competition->secondary_scientific_advisor != null?'Евентуални научни ръководители':'Евентуален научен ръководител'}}</div>
                    <div class="col-md-8">{{$competition->scientific_advisor->buildName()}}</div>
                </div>
                @if($competition->secondary_scientific_advisor != null)
                <div class="padded row">
                    <div class="col-md-4 bold"></div>
                    <div class="col-md-8">{{$competition->secondary_scientific_advisor->buildName()}}</div>
                </div>
                @endif
                <div class="padded row">
                    <div class="col-md-12">
                        <a href="{{url('admission/view/'.$competition->id)}}" class="btn btn-primary">Подробен преглед на конкурса</a>
                    </div>
                </div>
            </div>
        </div>
            <div class="padded row" style="margin-top:15px;">
                <div class="col-md-12">
                    {{$competition->admission->message}}
                </div>
            </div>
            <div class="row" style="margin-top:15px;">
                <div class="col-md-12" style="font-weight: bold;">
                    Моля, проверете внимателно личните си данни, преди да потвърдите кандидатурата!
                </div>
            </div>
            <div class="padded row">
                <div class="col-md-12">
                    @if(!\App\Helpers::getUser()->hasAppliedFor($competition))
                    {{--<a href="javascript:;" onclick="javascript:confirmCandidate()" class="btn btn-success">Потвърждаване на кандидатура</a>--}}
                        <legend>Документи</legend>
                        @if(isset($errors) && count($errors) > 0)
                            <div class="alert alert-danger">
                                Грешки
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <div>Необходимо е да прикачите следните документи към кандидатурата си и да ги представите на хартиен носител в РУ "Ангел Кънчев":</div>
                        <form id="confirmCandidate" action="{{Request::url()}}" method="post" class="form-horizontal" enctype="multipart/form-data">
                            <div class="form-group">
                                <label class="col-md-4 control-label" for="fCV">CV <span class="redstar"></span></label>
                                <div class="col-md-4">
                                    <input type="file" name="fCV" id="fCV" class="form-control-static">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4 control-label" for="fDiplomaBsc">Диплома за ОКС "Бакалавър" <span class="redstar"></span></label>
                                <div class="col-md-4">
                                    <input type="file" name="fDiplomaBsc" id="fDiplomaBsc" class="form-control-static">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4 control-label" for="fDiplomaMsc">Диплома за ОКС "Магистър" <span class="redstar"></span></label>
                                <div class="col-md-4">
                                    <input type="file" name="fDiplomaMsc" id="fDiplomaMsc" class="form-control-static">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4 control-label" for="fMedical">Медицинско свидетелство <span class="redstar"></span></label>
                                <div class="col-md-4">
                                    <input type="file" name="fMedical" id="fMedical" class="form-control-static">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-4"></div>
                                <div class="col-md-4">
                                    <input type="submit" class="btn btn-success" value="Потвърждаване на кандидатурата" onclick="return confirm('Потвърждавате ли, че наистина искате да кандидатствате в текущо избрания конкурс?')">
                                </div>
                            </div>
                            {{csrf_field()}}
                        </form>
                    @else
                        <div class="alert alert-success"><span class="glyphicon glyphicon-ok"></span> Вие кандидатствахте за този конкурс.</div>
                    @endif
                </div>
            </div>


            {{--<script type="text/javascript">
                function confirmCandidate(){
                    var c = confirm('Потвърждавате ли, че наистина искате да кандидатствате в текущо избрания конкурс?');
                    if(c){
                        document.getElementById('confirmCandidate').submit();
                    }
                }
            </script>--}}
        @endif
    </div>
@endsection
