<?php
/**
 * Created by PhpStorm.
 * User: pavel
 * Date: 6/20/2016
 * Time: 2:15 PM
 */
?>

@extends('mainview')

@section('maincontent')
    <div class="p20">
    <legend>Електронно досие на докторанта</legend>
        <div class="row">
            <div class="col-md-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">Данни за докторанта</div>
                    <div class="panel-body">
                        <div class="padded row">
                            <div class="col-md-4 bold">Име</div>
                            <div class="col-md-8">{{$phd->name}} {{$phd->surname}} {{$phd->last_name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Професионално направление</div>
                            <div class="col-md-8">{{$phd->specialty->professional_area->code}} {{$phd->specialty->professional_area->name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Научна специалност</div>
                            <div class="col-md-8">{{$phd->specialty->name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Научно звено/катедра</div>
                            <div class="col-md-8">{{$phd->department->name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Форма</div>
                            <div class="col-md-8">{{$phd->edu_form->name}}, {{$phd->finance_form->name}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">№ и дата на заповед</div>
                            <div class="col-md-8">{{$phd->order_document}}/{{$phd->order_document_date}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Дата на зачисляване</div>
                            <div class="col-md-8">{{$phd->enrollment_date}}</div>
                        </div>
                        <div class="padded row" style="color:red;">
                            <div class="col-md-4 bold">Срок на докторантура в заповед за зачисляване</div>
                            <div class="col-md-8">{{$phd->term_deadline_date}}</div>
                        </div>
                        <div class="padded row">
                            <div class="col-md-4 bold">Научен ръководител</div>
                            <div class="col-md-8">{{$phd->scientificAdvisor->buildName()}}</div>
                        </div>
                        @if($phd->secondaryScientificAdvisor)
                        <div class="padded row">
                            <div class="col-md-4 bold"></div>
                            <div class="col-md-8">{{$phd->secondaryScientificAdvisor->buildName()}}</div>
                        </div>
                        @endif
                    </div>
                </div>
                @if($phd->candidate)
                <div class="panel panel-primary">
                    <div class="panel-heading">Документи от конкурса за докторант</div>
                    <div class="panel-body">
                        {{--todo more--}}
                        <table class="table table-responsive table-hover">
                            <tr>
                                <th>Вид</th>
                                <th>Име на файл</th>
                                <th>Размер</th>
                                <th></th>
                            </tr>
                            @foreach(\App\FileRegistry::whereHas('applicationForm',function ($af) use($phd){
                                $af->where('candidate_id',$phd->candidate->id);
                            })->get() as $file)
                                <tr>
                                    <td>{{\App\Helpers::friendlyDoctype($file->document_type)}}</td>
                                    <td>{{$file->original_filename}}</td>
                                    <td>{{\App\Helpers::toMB($file->size)}}MB</td>
                                    <td><a href="{{url('files/download/'.$file->id.'/'.$file->original_filename)}}" class="btn btn-sm btn-primary"><span class="glyphicon glyphicon-download-alt"></span> Изтегли</a></td>
                                </tr>

                            @endforeach
                        </table>
                    </div>
                </div>
                    @endif
            </div>
            <div class="col-md-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">Документи, свързани с докторантурата</div>
                    <div class="panel-body">
                        @if(isset($errors) && count($errors) > 0)
                            <div class="alert alert-danger">
                                Грешки
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <form class="form-horizontal" action="{{Request::url()}}/upload" method="post" enctype="multipart/form-data">
                            <fieldset>

                                <!-- Form Name -->
                                <legend>Качване на документи</legend>

                                <!-- Text input-->
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="docDescription">Кратко описание</label>
                                    <div class="col-md-5">
                                        <input id="docDescription" name="docDescription" type="text" placeholder="Пример: Индивидуален план" class="form-control input-md">
                                        <span class="help-block">Кратко описание на документа, с максимум 3-4 думи</span>
                                    </div>
                                </div>

                                <!-- File Button -->
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="fDocument">Избор на файл</label>
                                    <div class="col-md-4">
                                        <input id="fDocument" name="fDocument" class="input-file" type="file">
                                        <span class="help-block">doc, docx, pdf, jpeg до 10MB</span>
                                    </div>
                                </div>

                                <!-- Button (Double) -->
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="btn_save"></label>
                                    <div class="col-md-8">
                                        <button id="btn_save" name="btn_save" class="btn btn-success" type="submit">Качи</button>
                                        <button id="btn_reset" name="btn_reset" class="btn btn-danger" type="reset">Изчисти</button>
                                    </div>
                                </div>

                            </fieldset>
                            {{csrf_field()}}
                        </form>
                        @if(count($phd->files) < 1)
                            Няма качени документи.
                        @else
                            <table class="table table-responsive">
                                <tr>
                                    <th>Описание</th>
                                    <th>Име на файла</th>
                                    <th>Размер</th>
                                    <th></th>
                                </tr>
                                @foreach($phd->files as $file)
                                    <tr>
                                        <td>{{$file->file_description}}</td>
                                        <td>{{$file->original_filename}}</td>
                                        <td>{{\App\Helpers::toMB($file->size)}}MB</td>
                                        <td><a href="{{url('files/download/'.$file->id.'/'.$file->original_filename)}}" class="btn btn-sm btn-primary"><span class="glyphicon glyphicon-download-alt"></span> Изтегли</a></td>
                                    </tr>
                                @endforeach
                            </table>
                        @endif

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
