<?php
/**
 * Created by PhpStorm.
 * User: pavel
 * Date: 6/16/2016
 * Time: 3:31 PM
 */
?>

@extends('mainview')

@section('maincontent')
<div class="p20">
    <legend>
        Справка за
        @if($type == 'all')
            всички докторанти
        @endif
        @if($type == 'faculty')
            докторанти във факултет
            @if($id > 0)
                "{{\App\Faculty::where('id',$id)->first()->name}}"
                @endif
        @endif
        @if($type == 'advisor')
            докторанти за научен ръководител
            @if($id > 0)
               - {{\App\ScientificAdvisor::where('id',$id)->first()->buildName()}}
            @endif
        @endif
        @if($type == 'specialty')
            докторанти по научна специалност
        @endif
    </legend>
    @if($type == 'faculty')
        <p>
            <script type="text/javascript">
                $(function (){
                    $('#chooseFaculty').change(function () {
                        window.location.href = '{{url("reports/by/faculty")}}/'+$(this).val();
                    });
                });

            </script>
            <form action="javascript:;">
            Изберете факултет:
                <select id="chooseFaculty" class="form-control" style="display: inline-block;width: auto;">
                    <option value="">-- Изберете --</option>
                    @foreach(\App\Faculty::all() as $f)
                        @if($id == $f->id)
                            <option value="{{$f->id}}" selected>{{$f->name}}</option>
                        @else
                            <option value="{{$f->id}}">{{$f->name}}</option>
                        @endif

                    @endforeach
                </select>
            </form>
        </p>
    @endif
    @if($type == 'advisor')
        <p>
            <script type="text/javascript">
                $(function (){
                    $('#chooseAdvisor').change(function () {
                        window.location.href = '{{url("reports/by/advisor")}}/'+$(this).val();
                    });

                    $('#chooseAdvisor').select2({dropdownAutoWidth: 'true',width:'auto',placeholder:'Изберете...'});
                });

            </script>
        <form action="javascript:;">
            Изберете научен ръководител:
            <select id="chooseAdvisor" style="width:50%;" class="js-example-responsive">
                <option></option>
                @foreach(\App\ScientificAdvisor::orderBy('name','asc')->get() as $f)
                    @if($id == $f->id)
                        <option value="{{$f->id}}" selected>{{$f->buildName()}}</option>
                    @else
                        <option value="{{$f->id}}">{{$f->buildName()}}</option>
                    @endif

                @endforeach
            </select>
        </form>
        </p>
    @endif
    @if($type == 'specialty')
        <p>
            <script type="text/javascript">
                $(function (){
                    $('#chooseSpec').change(function () {
                        window.location.href = '{{url("reports/by/specialty")}}/'+$(this).val();
                    });
                    $('#chooseSpec').select2({placeholder:'Изберете...'});
                });

            </script>
        <form action="javascript:;">
            Изберете специалност:
            <select id="chooseSpec" class="form-control" style="display: inline-block;width: auto;">
                <option value="">-- Изберете --</option>
                @foreach(\App\Specialty::orderBy('name','asc')->get() as $f)
                    @if($id == $f->id)
                        <option value="{{$f->id}}" selected>{{$f->name}}</option>
                    @else
                        <option value="{{$f->id}}">{{$f->name}}</option>
                    @endif

                @endforeach
            </select>
        </form>
        </p>
    @endif
    @if($type == 'all' || $id > 0)
    <p>Справката съдържа {{$data->count()}} записа.</p>
    @endif
    @foreach($data as $phd)
        <div class="container" style="margin-bottom:20px;">
            <div class="row">
                <div class="col-md-12">
                    <span class="glyphicon glyphicon-user"></span>
                    @if(isset($phd->portfolio_link) && strlen($phd->portfolio_link) > 0)
                    <a href="{{$phd->portfolio_link}}" target="_blank">{{$phd->name}} {{$phd->surname}} {{$phd->last_name}}</a>
                    @else
                        {{$phd->name}} {{$phd->surname}} {{$phd->last_name}}
                    @endif

                </div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Професионално направление</div>
                <div class="col-md-8">{{$phd->specialty->professional_area->code}} {{$phd->specialty->professional_area->name}}</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Факултет</div>
                <div class="col-md-8">{{$phd->department->faculty->name}}</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Катедра</div>
                <div class="col-md-8">{{$phd->department->name}}</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Специалност</div>
                <div class="col-md-8">{{$phd->specialty->name}}</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Научен ръководител</div>
                <div class="col-md-8">{{\App\ScientificAdvisor::where('id',$phd->scientific_advisor)->first()->buildName()}}
                    @if(!empty($phd->scientific_advisor_sec))
                        ; {{\App\ScientificAdvisor::where('id',$phd->scientific_advisor_sec)->first()->buildName()}}
                    @endif</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Форма на обучение</div>
                <div class="col-md-8">{{$phd->edu_form->name}}</div>
            </div>
            <div class="row">
                <div class="col-md-4 bold">Година на зачисляване</div>
                <div class="col-md-8">{{\Carbon\Carbon::parse($phd->enrollment_date)->year}}</div>
            </div>
        </div>
    @endforeach
</div>
@endsection
